using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ExcelTracAddIn
{
    public partial class Calendar : Form
    {
        // 選択された日付
        private DateTime select = new DateTime();

        public Calendar()
        {
            InitializeComponent();

            // データ選択イベント
            monthCalendar.DateSelected += new DateRangeEventHandler( Calendar_DateSelected );
        }

        // データ選択イベント
        void Calendar_DateSelected( object sender, DateRangeEventArgs e )
        {
            select = monthCalendar.SelectionStart;

            DialogResult = DialogResult.OK;
            Close();
        }

        public DateTime SelectDate
        {
            get
            {
                return select;
            }
        }

        // フォームをカレンダーのサイズに合わせる
        private void Calendar_Activated( object sender, EventArgs e )
        {
            ClientSize = monthCalendar.Size;
        }
    }
}
